help
Posts
-
Get the coordinates of the corners of the "blue box"
Hello, I would like to know how I can get the coordinates of the 8 corners of the "blue box" of a group or component that has been rotated and scaled
I tried to
bounds.corner
orlocal_bounds.corner
but do not work properly for what I need, I have been looking and I could not find the appropriateness.
-
RE: [Code] Print the transformation matrix
thank you very much Thomas and Tig that prompt reply!
I will try to implement your suggestions right now
-
RE: [Code] Print the transformation matrix
I wonder if there is any way to know the orientation of a group with respect to the axis of the world
-
RE: [Code] Print the transformation matrix
@thomthom said:
Create a local transformation and apply with with
.transform!( tramsformation )
instead of setting the.transformation
matrix manually. Or am I missing something?How to create a local transformation? I would like to see some sample piece of code to guide me
-
RE: [Code] Print the transformation matrix
Thanks for responding, I have helped a lot.
me a question arises about the transformations. if I need to apply a transformation to an object but not in the principal coordinate axes, but the coordinate axes of a group (rotated) what should I use?
(sorry for my bad English)
-
[Code] Print the transformation matrix
Hi, I'm trying to print a transformation matrix, I tried the following:
pointdd = Geom::Point3d.new 11,22,33 tdd = Geom::Transformation.new pointdd a = tdd.to_a text="-------------------------------------------------------\n" 4.times do |b| 4.times do |e| if ((e+1)%4==0) text << a[e*4+b].to_s+"\n" else text << a[e*4+b].to_s+" "+" "+" "+" "+" "+" "+" "+" "+" "+" " end end end text<<"------------------------------------------------------\n" UI.messagebox( text, MB_MULTILINE)
I wanted to hear suggestions of more elegant ways to do this. (I wrote several times
+" "
for failure to escrbir several spaces followed here)thank you for your attention.
-
RE: Edit materials from code
this is what I have achieved so far
entidad = %(#FF8000)[Sketchup]%(#0040BF)[.active_model.selection][0] curretmaterial = entidad%(#0040BF)[.material] nameM = curretmaterial%(#0040BF)[.name] curretmaterial%(#0040BF)[.color]=[102, 0, 51] curretmaterial%(#0040BF)[.name]=%(#BF8080)["nuevo tono"]
I shall be able then apply the recommendations
(sorry for bad English)
-
RE: Edit materials from code
wow, is more complicated than I expected, I doubt that achieves do with my current knowledge of the Ruby API, I guess I'll have to wait a while thank you very much Dan, Tig and Thomthom for guiding me
-
RE: Need Vray settings
here leave a lot of settings .visopt (I assume you know how to load them into vray)
is a bit late to answer but several people may be helped
-
RE: Edit materials from code
I have another related question,
if I have a cube, each side painted a different color and then create a group or component, how I can access the list of materials the component or group to modify these materials from the code?
Would greatly appreciate a simple example of this, I could not find him anywhere
-
RE: Edit materials from code
I have understood
mats = Sketchup.active_model.materials m = mats['jean blue'] m.color=[180, 0, 0]
I am new to this,that good there are good people willing to help, thank you very much Dan
(I know very little English)
-
RE: Edit materials from code
thank you very much, functioned to change the display name
I looked at the API dictionary do not understand,
could you give me an example?
such as changing the color of the material 'blue jean' to red -
Edit materials from code
Hello
I have a question
How I can edit a previously created materials? (from code)
and how I can change the display name? -
RE: Plugin for Gaussian bells
thank you very much for the help, great links
-
RE: Plugin for Gaussian bells
@unknownuser said:
alguien puede ayudarme?
-
Plugin for Gaussian bells
%(#0040FF)[inserción de geometría en sketchup
Hola, estoy empezando con Ruby y deseo realizar un pluing para crear geometría con muchos polígonos (entre 3000 y 10000 polígonos) y he notado que se forma un cuello de botella en alguna parte del proceso de la inserción, porque cuando inserto 2000 polígonos se demora 1.5 segundos y al insertar 4000 polígonos se demora 6.1 segundos. Además solo he aprendido a usar add_face, que por lo que he leído no es el más eficiente, al parecer es mejor fill_from_mesh, pero no sé usar esto, agradecería que alguien me pudiera indicar como usarlo para el siguiente caso:]
English
(translation of gloogle)
Hi, I'm starting with Ruby and I want to make a pluing to create geometry with many polygons (between 3000 and 10000 polygons) and have noticed that forms a bottleneck somewhere in the insertion process, because when I insert takes 2000 polygons 1.5 seconds and inserting 4000 polygons it takes 6.1 seconds. Also I have only learned to use add_face, which from what I read is not the most efficient seems to be better fill_from_mesh, but I can not use this, be grateful if someone could tell me how to use it for the following case:` # crear gaussiana con triangulos
entities = Sketchup.active_model.entities
n = 20 # size
s = 4 # separacion
w = 3 # tamaño de un elemento
b = n/2.0 # posision(0..n-1).each { |i|
(0..n-1).each { |j|k=8.0*Math.exp(-((i-b)**2+(j-b)**2)/10.0) # funcion face = entities.add_face [i*s,j*s,k*s],[i*s,j*s+w,k*s],[i*s+w,j*s+w,k*s] face.pushpull -w-k
}
}`Para superar el problema del cuello de botella, pienso introducir la geometría por trozos, es decir en grupos de a 100 o 200 polígonos, pero no sé cómo hacer esto, agradezco su ayuda
To overcome the bottleneck problem, I will introduce the piecewise geometry, ie in groups of 100 or 200 polygons, but I do not know how to do this, I appreciate your help